<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="6"
      :sm="24"
    >
      <inspection-project-category-left @clickTreeNode="getSelectNode" />
    </a-col>
    <a-col
      :md="24-6"
      :sm="24"
    >
      <inspection-project-right :recordSelect="currentNodeSelect" />
    </a-col>
  </a-row>
</template>

<script>
import InspectionProjectCategoryLeft from './modules/inspectionProject/InspectionProjectCategoryLeft'
import InspectionProjectRight from './modules/inspectionProject/InspectionProjectRight'
export default {
  name: 'InspectionProjectList',
  components: {
    InspectionProjectCategoryLeft,
    InspectionProjectRight,
  },
  data() {
    return {
      description: '点检项目',
      currentNodeSelect: '',
    }
  },
  methods: {
    getSelectNode(val) {
      this.currentNodeSelect = val;
    },
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>